package conversions;
import java.awt.*;

public class AreaQuantity extends ObservableQuantity  {
	
	private double value;
	private int type=0;

	private String units = "inch^2";

	private boolean metric = false;
	private String name = "";
	
	public boolean isMetric() {
		return metric;
	}

	public int getType() {
		return type;
	}
	public AreaQuantity(
		double _value, 
		String _name,
		int _type) {
		value = _value;
		name = _name;
		type = _type;
	}
	
	public double getValue() {
		return value;
	}
	
	
	public void setValue(double d) {
		convertToEnglish();
		if (value == d) return;
		value = d;
		setChanged();		
	}

	
	public String getUnits() {
		return units;
	}
	public void convertToMetric() {
		if (metric == true) return;
		setChanged();
		metric = true;
		units = "mm^2";
		value =
			value * 645.16;
	}
	public String toString() {
		return name+"=" + value + " "+units;
	}
	public void convertToEnglish() {
		if (metric == false) return;
		setChanged();

		metric = false;
		units = "in^2";
		value =
			value /645.16;
	} 
		
}